---------------------------------------------------------------------
--== effect ===--
---------------------------------------------------------------------

function check_effect_for_collection(effect)

        for k,e in ipairs(collection["effects"]) do 
            if e["name"] == effect:GetName() then
                if e["icon"] == effect:GetIcon() then
                    return
                end
            end
        end


        local index = table.getn(collection["effects"])+1
        collection["effects"][index] = {}
        collection["effects"][index]["name"] = effect:GetName()
        collection["effects"][index]["icon"] = effect:GetIcon()
        collection["effects"][index]["description"] = effect:GetDescription()
        collection["effects"][index]["duration"] = effect:GetDuration()
        EffectCollectionChanged(index)


end

---------------------------------------------------------------------
--== chat ===--
---------------------------------------------------------------------

function check_chat_for_collection(chatArgs)

    if collect_chat then

        if not(chat_only_say) or chatArgs.ChatType == Turbine.ChatType.Say then

            for k,chat in ipairs(collection["chat"]) do 
                if chatArgs.Message == chat["Args"].Message then
                    return
                end
            end

            local index = table.getn(collection["chat"])+1

            collection["chat"][index] = {}
            collection["chat"][index]["Args"] = chatArgs
            ChatCollectionChanged(index)
        end

    end

end
