function checkSkill(skill)

    local skill_name = skill:GetSkillInfo():GetName()

    for i,windata in ipairs(windowdata) do 

        if (windata["load"]) then

            for j,data in ipairs(windata["list_skill"]) do 

                if skill_name == data["token"] then
                    function skill:ResetTimeChanged(sender, args)
                        local gt = Turbine.Engine.GetGameTime()
                        local key

                        local startTime = skill:GetResetTime() - skill:GetCooldown()

                        if data["unique"] then
                            key = string.gsub(skill_name, "-", "")..i..j
                        else
                            key = string.gsub(skill_name, "-", "")..i..j..startTime
                        end

                        windows[i]:CheckForAdd(SettingsOverwrite(data, windows[i], key, startTime, skill:GetCooldown(), skill:GetSkillInfo():GetIconImageID(), skill_name))
                    end
                end

            end

        end

    end

end


function checkAllSkills()

    local skill_list = lp:GetTrainedSkills()

    for k=1, skill_list:GetCount(), 1 do

        local skill = skill_list:GetItem(k)

        checkSkill(skill)

        if skill:GetResetTime() > 0 then

            local skill_name = skill:GetSkillInfo():GetName()
            for i,windata in ipairs(windowdata) do 

                if (windata["load"]) then
        
                    for j,data in ipairs(windata["list_skill"]) do 
                        
                        if skill_name == data["token"] then

                            local gt = Turbine.Engine.GetGameTime()
                            local key

                            local startTime = skill:GetResetTime() - skill:GetCooldown()

                            if data["unique"] then
                                key = skill_name..i..j
                            else
                                key = skill_name..i..j..startTime
                            end

                            windows[i]:CheckForAdd(SettingsOverwrite(data, windows[i], key, startTime, skill:GetCooldown(), skill:GetSkillInfo():GetIconImageID(), skill_name))

                        end
        
                    end
        
                end
        
            end

        end

    end

end
