function check_for_waiting_trigger_end(key)

    for i,windata in ipairs(windowdata) do 

        if (windata["load"]) then

            for j,data in ipairs(windata["list_triggers_end"]) do 

                if data["token"] ~= "" and data["token"] ~= nil then

                    if (string.find(key, data["token"])) then
                        local gt = Turbine.Engine.GetGameTime()
                        local l_key
                        if data["unique"] then
                            l_key = string.upper(data["token"]).."E"..i..j
                        else
                            l_key = string.upper(data["token"]).."E"..i..j..gt
                        end                    
                        windows[i]:CheckForAdd(SettingsOverwrite(data, windows[i], l_key, gt, nil, nil, data["token"]))
                    end
                end
            end
        end

    end

end

function check_for_waiting_trigger_threshold(key)

    for i,windata in ipairs(windowdata) do 

        if (windata["load"]) then

            for j,data in ipairs(windata["list_triggers_threshold"]) do 

                if data["token"] ~= "" and data["token"] ~= nil then
                    if (string.find(key, data["token"])) then

                        local gt = Turbine.Engine.GetGameTime()
                        local l_key
                        if data["unique"] then
                            l_key = string.upper(data["token"]).."T"..i..j
                        else
                            l_key = string.upper(data["token"]).."T"..i..j..gt
                        end                    
                        windows[i]:CheckForAdd(SettingsOverwrite(data, windows[i], l_key, gt, nil, nil, data["token"]))
                    end
                end
            end

        end

    end

end

function check_for_waiting_trigger_start(key)

    for i,windata in ipairs(windowdata) do 

        if (windata["load"]) then

            for j,data in ipairs(windata["list_triggers_start"]) do 

                if data["token"] ~= "" and data["token"] ~= nil then

                    if (string.find(key, data["token"])) then

                        local gt = Turbine.Engine.GetGameTime()
                        local l_key
                        if data["unique"] then
                            l_key = string.upper(data["token"]).."S"..i..j
                        else
                            l_key = string.upper(data["token"]).."S"..i..j..gt

                        end                    
                        windows[i]:CheckForAdd(SettingsOverwrite(data, windows[i], l_key, gt, nil, nil, data["token"]))
                    end
                end
            end
        end

    end

end